/* This file is part of Legendes II */
/* Copyright (c) 1998 by
 *   Philippe Clavel (philippe.clavel@supelec.fr)
 *   Benjamin Lerman (benjamin.lerman@ens.fr)
 *   David Madore (david.madore@ens.fr) */

/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* File lgdproto.h */

/* Thus speaketh ye mighty CVS:
 * $Id: lgdproto.h,v 1.5 1999/05/29 15:56:05 david Exp $ */

/* This file contains the magic constants of the Legendes protocol. */

#ifndef _LEGENDES_LGDPROTO_H
#define _LEGENDES_LGDPROTO_H

/* Legendes protocol constants */
/* Magic number */
#define LGD_PROTO_MAGIC			0x1e6e7de5
/* Version number */
#define LGD_PROTO_VERNUM		0x00010003

/* Legendes protocol request codes */
/* NOP: do nothing */
#define LGD_PROTO_REQ_NOP		0x00000000
/* ACK?: return 1 */
#define LGD_PROTO_REQ_ACK		0x00000001
/* MAGIC: return magic number */
#define LGD_PROTO_REQ_MAGIC		0x00000002
/* VERNUM: return protocol version number */
#define LGD_PROTO_REQ_VERNUM		0x00000003
/* DIE: exit() immediately */
#define LGD_PROTO_REQ_DIE		0x00000004
/* IDENT: exit() immediately */
#define LGD_PROTO_REQ_IDENT		0x00000005
/* MAPQ: query the map */
#define LGD_PROTO_REQ_MAPQ		0x00000006
/* WHERE: return current position */
#define LGD_PROTO_REQ_WHERE		0x00000007

/* Legendes protocol reply codes */
/* Synchronous response to request */
#define LGD_PROTO_REP_SYN		0x00000000
/* Error reply */
#define LGD_PROTO_REP_ERR		0x00000001
/* Asynchronous event */
#define LGD_PROTO_REP_ASY		0x00000002
/* Connection acknoledge */
#define LGD_PROTO_REP_CON		0x00000003

/* Legendes protocol error codes */
/* Request is too long.  Closing connection. */
#define LGD_PROTO_ERR_TOOLONG		0x00000001
/* Unknown request code. */
#define LGD_PROTO_ERR_UNKNOWN		0x00000002
/* Authentication refused. */
#define LGD_PROTO_ERR_REFUSED		0x00000003
/* Out of bounds. */
#define LGD_PROTO_ERR_OBOUNDS		0x00000004

#endif /* not defined (_LEGENDES_LGDPROTO_H) */
